NX Open C++ Reference Guide
|
Represents a Features::VehicleDesign::HeadImpactAPillarWizardBuilder . More...
Public Member Functions | |
NXOpen::ScCollector * | APillarLeft () |
Returns the left A pillar geometry. | |
NXOpen::ScCollector * | APillarRight () |
Returns the right A pillar geometry. | |
NXOpen::ScCollector * | Dashboard () |
Returns the dashboard geometry. | |
NXOpen::Point * | Line1PointLeft () |
Returns the left Line 1 point. | |
NXOpen::Point * | Line1PointRight () |
Returns the right Line 1 point. | |
NXOpen::Point * | Plane1PointLeft () |
Returns the left Plane 1 point. | |
NXOpen::Point * | Plane1PointRight () |
Returns the right Plane 1 point. | |
NXOpen::Point * | Plane5PointLeft () |
Returns the left Plane 5 point. | |
NXOpen::Point * | Plane5PointRight () |
Returns the right Plane 5 point. | |
void | SetLine1PointLeft (NXOpen::Point *line1PointLeft) |
Sets the left Line 1 point. | |
void | SetLine1PointRight (NXOpen::Point *line1PointRight) |
Sets the right Line 1 point. | |
void | SetPlane1PointLeft (NXOpen::Point *plane1PointLeft) |
Sets the left Plane 1 point. | |
void | SetPlane1PointRight (NXOpen::Point *plane1PointRight) |
Sets the right Plane 1 point. | |
void | SetPlane5PointLeft (NXOpen::Point *plane5PointLeft) |
Sets the left Plane 5 point. | |
void | SetPlane5PointRight (NXOpen::Point *plane5PointRight) |
Sets the right Plane 5 point. | |
NXOpen::ScCollector * | UpperRoofExterior () |
Returns the upper roof exterior geometry. | |
NXOpen::ScCollector * | UpperRoofInterior () |
Returns the upper roof interior geometry. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
NXOpen::ScCollector * | WindshieldTrim () |
Returns the windshield trim geometry. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::VehicleDesign::HeadImpactAPillarWizardBuilder .
This is an abstract class and cannot be instantiated.
Created in NX9.0.0.
NXOpen::ScCollector* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::APillarLeft | ( | ) |
Returns the left A pillar geometry.
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::APillarRight | ( | ) |
Returns the right A pillar geometry.
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::Dashboard | ( | ) |
Returns the dashboard geometry.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::Line1PointLeft | ( | ) |
Returns the left Line 1 point.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::Line1PointRight | ( | ) |
Returns the right Line 1 point.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::Plane1PointLeft | ( | ) |
Returns the left Plane 1 point.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::Plane1PointRight | ( | ) |
Returns the right Plane 1 point.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::Plane5PointLeft | ( | ) |
Returns the left Plane 5 point.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::Plane5PointRight | ( | ) |
Returns the right Plane 5 point.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::SetLine1PointLeft | ( | NXOpen::Point * | line1PointLeft | ) |
Sets the left Line 1 point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
line1PointLeft | line1pointleft |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::SetLine1PointRight | ( | NXOpen::Point * | line1PointRight | ) |
Sets the right Line 1 point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
line1PointRight | line1pointright |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::SetPlane1PointLeft | ( | NXOpen::Point * | plane1PointLeft | ) |
Sets the left Plane 1 point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane1PointLeft | plane1pointleft |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::SetPlane1PointRight | ( | NXOpen::Point * | plane1PointRight | ) |
Sets the right Plane 1 point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane1PointRight | plane1pointright |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::SetPlane5PointLeft | ( | NXOpen::Point * | plane5PointLeft | ) |
Sets the left Plane 5 point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane5PointLeft | plane5pointleft |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::SetPlane5PointRight | ( | NXOpen::Point * | plane5PointRight | ) |
Sets the right Plane 5 point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane5PointRight | plane5pointright |
NXOpen::ScCollector* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::UpperRoofExterior | ( | ) |
Returns the upper roof exterior geometry.
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::UpperRoofInterior | ( | ) |
Returns the upper roof interior geometry.
Created in NX9.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.
NXOpen::ScCollector* NXOpen::Features::VehicleDesign::HeadImpactAPillarWizardBuilder::WindshieldTrim | ( | ) |
Returns the windshield trim geometry.
Created in NX9.0.0.
License requirements : None